@echo off
chcp 65001>NUL
rem setlocal && cd /D "%~dp0"
REM AYTO TO SCRIPT ΕΠΙΣΤΡΕΦΕΙ ΤΟΥΣ ΚΩΔΙΚΟΥΣ ΜΗΝΥΜΑΤΩΝ & ΔΕΝ ΜΠΟΡΕΊΤΕ ΝΑ ΤΟ ΑΦΑΙΡΕΣΕΤΕ ΓΙΑΤΙ 
REM ΘΑ ΑΠΟΤΥΧΟΥΝ ΟΛΑ ΤΑ ΠΑΤΡΙΚΑ SCRIPTS.
REM ΤΑ SCRIPT ΕΙΝΑΙ ΜΕΡΟΣ ΤΟΥ gamelink.gr-ffmpeg-scripts.zip ΑΠΟ ΤΟ EL.GAMELINK.GR
REM Ακολουθεί το Url για να μάθετε περισσότερα ή να το κατεβάσετε. Καλά video editing!
REM 
REM https://el.gamelink.gr/blog/Pws-Mporeite-Na-Mikrynete-ta-Video-gia-tis-MkDocs-Selides-sas-me-to-ffmpeg/ 
REM 

if "%~z1" == "0" (
     goto MhdenikoArxeio
) else if "%~1" == "" (
     goto NotExistVidanymore
rem ) else if "%~1" equ -2 (
rem      goto NotExistVidanymore
) else if "%~1" equ -1094995529 (
     goto ProvlimatikoVideo
) else (
	 goto OkVideo 
)

rem goto NotExistVidanymore

:MhdenikoArxeio
echo.
echo   ╔══════════════════════════════════════════════════════════════════════════╗
echo      Πρόβλημα και το ERROR CODE του Προβλήματος είναι: 0 μέγεθος αρχείου 
echo.
echo      Που σημαίνει: Δεν πρόκειται το FFmpeg να επεξεργαστεί το αρχείο.  ☺                    
echo   ╚══════════════════════════════════════════════════════════════════════════╝
echo.
exit /b -1094995529


:ProvlimatikoVideo
echo.
echo   ╔══════════════════════════════════════════════════════════════════════════╗
echo      Πρόβλημα και το ERROR CODE του Προβλήματος είναι: -1094995529 
echo.
echo      Που σημαίνει: Δεν μπόρεσε το FFmpeg να επεξεργαστεί το αρχείο. ☻  ☺  ☻                  
echo   ╚══════════════════════════════════════════════════════════════════════════╝
echo.
exit /b -1094995529

:NotExistVidanymore
echo.
echo   ╔══════════════════════════════════════════════════════════════════════════╗
echo      Πρόβλημα και το ERROR CODE του Προβλήματος είναι: -2 
echo.
echo      Που σημαίνει: Δεν υπάρχει το αρχείο πια...  ☻  ☺  ☻                  
echo   ╚══════════════════════════════════════════════════════════════════════════╝
echo.
exit /b -2

:OkVideo
echo   ╔══════════════════════════════════════════════════════════════════════════╗
echo   ║              το Βίντεο επεξεργάστηκε με επιτυχία ♪ ☺ ♫ ☺ ♪               ║     
echo   ╚══════════════════════════════════════════════════════════════════════════╝
exit /b 0